// DefEditDlg.h : header file
//

#if !defined(AFX_DEFEDITDLG_H__9D6B6C77_C453_443C_AAAF_26C9940BEF41__INCLUDED_)
#define AFX_DEFEDITDLG_H__9D6B6C77_C453_443C_AAAF_26C9940BEF41__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDefEdit dialog
struct DefaultData{
	bool DC_RC, DC_C,  DC_TH, DC_THTime, 
		DC_APS, DC_APM, DC_APR, DC_APC,
		DC_SD, DC_SS, DC_SMax, DC_SMin, DC_SR, DC_SF, DC_L;
	bool Cos_RC, Cos_C,  Cos_TH, Cos_THTime, 
		Cos_APS, Cos_APM, Cos_APR, Cos_APC,
		Cos_SD, Cos_SS, Cos_SMax, Cos_SMin, Cos_SR, Cos_SF, Cos_L;
	double Norm_RC, Norm_C,  Norm_TH, Norm_THPTime, Norm_THMTime, 
		 Norm_APS, Norm_APM, Norm_APR, Norm_APC,
		 Norm_SD, Norm_SS, Norm_SMax, Norm_SMin, Norm_SR, Norm_SF, Norm_LP, Norm_LM;
	double Min_RC, Min_C,  Min_TH, Min_THMTime, Min_THPTime, 
		 Min_APS, Min_APM, Min_APR, Min_APC,
		 Min_SD, Min_SS, Min_SMax, Min_SMin, Min_SR, Min_SF, Min_LP, Min_LM;
	double Max_RC, Max_C,  Max_TH, Max_THMTime, Max_THPTime, 
		 Max_APS, Max_APM, Max_APR,Max_APC,
		 Max_SD, Max_SS, Max_SMax, Max_SMin, Max_SR, Max_SF, Max_LP, Max_LM;
};

class CDefEdit : public CDialog
{
// Construction
public:
	CDefEdit(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDefEdit)
	enum { IDD = IDD_DEFEDIT_DIALOG };
	double	m_Const;
	double	m_Max;
	double	m_Min;
	int		m_Nset;
	//}}AFX_DATA

	DefaultData DD;
	CButton	*pDC, *pConst;
	CEdit	*pNorm, *pMin, *pMax;
	CString FileName;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDefEdit)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDefEdit)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnSelchangeList1();
	afx_msg void OnDch();
	afx_msg void OnConst();
	afx_msg void OnSave();
	afx_msg void OnLoad();
	afx_msg void OnConvert();
	afx_msg void OnPdown();
	afx_msg void OnPup();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEFEDITDLG_H__9D6B6C77_C453_443C_AAAF_26C9940BEF41__INCLUDED_)
