#if !defined(AFX_CELLPROPERTYV_H__2D985384_3B0E_11D5_85CD_5254AB1ABD30__INCLUDED_)
#define AFX_CELLPROPERTYV_H__2D985384_3B0E_11D5_85CD_5254AB1ABD30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CellPropertyV.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CellPropertyView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif
#include "Model.h"
#include "DefauktSetter.h"


class CellPropertyView : public CFormView
{
public:
	CellPropertyView();           // protected constructor used by dynamic creation
protected:
	DECLARE_DYNCREATE(CellPropertyView)

// Form Data
public:
	//{{AFX_DATA(CellPropertyView)
	enum { IDD = IDD_CELL_PROPERTY };
	int		m_CellID;
	int		m_SynapseID;
	//}}AFX_DATA
	double	R, APRC;
	Model	*Modl;
	void *Frm;
	CWnd *View;

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CellPropertyView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CellPropertyView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CellPropertyView)
	afx_msg void OnApply();
	afx_msg void OnHide();
	afx_msg void OnDefault();
	afx_msg void OnSelect();
	afx_msg void OnReView(UINT wParam, LONG lParam);
	afx_msg void OnSiftLock(UINT wParam, LONG lParam);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CellPropertyFrm frame

class CellPropertyFrm : public CFrameWnd
{
	DECLARE_DYNCREATE(CellPropertyFrm)
public:
	CellPropertyFrm();           // protected constructor used by dynamic creation

// Attributes
public:
	CellPropertyView m_wndView;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CellPropertyFrm)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CellPropertyFrm();

	// Generated message map functions
	//{{AFX_MSG(CellPropertyFrm)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CELLPROPERTYV_H__2D985384_3B0E_11D5_85CD_5254AB1ABD30__INCLUDED_)
