// DefuseSetter.cpp : implementation file
//

#include "stdafx.h"
#include "NeuroCAD.h"
#include "DefuseSetter.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DefuseSetter dialog


DefuseSetter::DefuseSetter(CWnd* pParent /*=NULL*/)
	: CDialog(DefuseSetter::IDD, pParent)
{
	//{{AFX_DATA_INIT(DefuseSetter)
	m_From = 0;
	m_To = 0;
	m_From2 = 0;
	m_To2 = 0;
	//}}AFX_DATA_INIT
	Reciprocal = false;
	Local = false;
}


void DefuseSetter::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DefuseSetter)
	DDX_Text(pDX, IDC_FROM, m_From);
	DDX_Text(pDX, IDC_TO, m_To);
	DDX_Text(pDX, IDC_FROM2, m_From2);
	DDX_Text(pDX, IDC_TO2, m_To2);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DefuseSetter, CDialog)
	//{{AFX_MSG_MAP(DefuseSetter)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DefuseSetter message handlers

BOOL DefuseSetter::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CEdit *From2 = (CEdit*) GetDlgItem(IDC_FROM2);
	CEdit *To2 = (CEdit*) GetDlgItem(IDC_TO2);
	From2->EnableWindow(Reciprocal&(!Local));To2->EnableWindow(Reciprocal);
	From2 = (CEdit*) GetDlgItem(IDC_FROM);
	From2->EnableWindow(!Local);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
