#if !defined(AFX_MAINFRM_H__24CDC55B_37D3_11D5_85C6_5254AB1ABD30__INCLUDED_)
#define AFX_MAINFRM_H__24CDC55B_37D3_11D5_85C6_5254AB1ABD30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CreatorView.h"
#include "SimulatorView.h"
#include "CellPropertyV.h"
#include "Model.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:
	Model Mod;
	bool Condition; //false - creator, true - Simulator
	CString FileName;
	bool BackFlg;
	int  BackCount;
	int	 BackSpeed;
	CString BackPath;
	void* App;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar, LeftToolBar;
	CWnd		*p_wndView;
	CellPropertyFrm *CellProView;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnBlanketZoomin();
	afx_msg void OnUpdateBlanketZoomin(CCmdUI* pCmdUI);
	afx_msg void OnBlanketZoomuot();
	afx_msg void OnBlanketSimulate();
	afx_msg void OnBlanketCreator();
	afx_msg void OnUpdateBlanketCreator(CCmdUI* pCmdUI);
	afx_msg void OnUpdateBlanketSimulate(CCmdUI* pCmdUI);
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	afx_msg void OnFileNew();
	afx_msg void OnFileOpen();
	afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileOpen(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileSave(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileSaveAs(CCmdUI* pCmdUI);
	afx_msg void OnBlanketViewIntput();
	afx_msg void OnUpdateBlanketViewIntput(CCmdUI* pCmdUI);
	afx_msg void OnBlanketViewNumberInput();
	afx_msg void OnUpdateBlanketViewNumberInput(CCmdUI* pCmdUI);
	afx_msg void OnBlanketViewOutput();
	afx_msg void OnUpdateBlanketViewOutput(CCmdUI* pCmdUI);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnMainBack();
	afx_msg void OnUpdateMainBack(CCmdUI* pCmdUI);
	afx_msg void OnMAINOption();
	afx_msg void OnFileOpenOld();
	afx_msg void OnUpdateFileOpenOld(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__24CDC55B_37D3_11D5_85C6_5254AB1ABD30__INCLUDED_)
