// StatReportSetter.cpp : implementation file
//

#include "stdafx.h"
#include "NeuroCAD.h"
#include "StatReportSetter.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// StatReportSetter dialog


StatReportSetter::StatReportSetter(CWnd* pParent /*=NULL*/)
	: CDialog(StatReportSetter::IDD, pParent)
{
	//{{AFX_DATA_INIT(StatReportSetter)
	m_STime = 0.0f;
	m_SType = 0;
	//}}AFX_DATA_INIT
}


void StatReportSetter::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(StatReportSetter)
	DDX_Text(pDX, IDC_STAT_TIME, m_STime);
	DDX_CBIndex(pDX, IDC_STAT_TYPE, m_SType);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(StatReportSetter, CDialog)
	//{{AFX_MSG_MAP(StatReportSetter)
	ON_BN_CLICKED(IDC_STAT_LOAD, OnStatLoad)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// StatReportSetter message handlers

void StatReportSetter::OnStatLoad() 
{
	CFileDialog FDlg(false,"txt","*.txt",OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		"Text File(*.txt)|*.txt|(*.*)|*.*||");
	if(FDlg.DoModal() == IDOK){
		FileName = FDlg.GetPathName();
		SetDlgItemText(IDC_STAT_FILE_NAME,FileName);
	}
	
}


void StatReportSetter::OnOK() 
{
	UpdateData(true);	
	CDialog::OnOK();
}

BOOL StatReportSetter::OnInitDialog() 
{
	CDialog::OnInitDialog();
	SetDlgItemText(IDC_STAT_FILE_NAME,FileName);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
