// HighView.cpp : implementation file
//

#include "stdafx.h"
#include "Poly Channel Viewer.h"
#include "HighView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// HighView

HighView::HighView()
{
	ReView = false;
}

HighView::~HighView()
{
}


BEGIN_MESSAGE_MAP(HighView, CWnd)
	//{{AFX_MSG_MAP(HighView)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// HighView message handlers

void HighView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CBrush brsh(RGB(255,255,255));
	dc.FillRect( CRect(0,0,100,100),&brsh );
	if(ReView){
		CPen *Old, N(PS_SOLID,2,RGB(0,0,0)),L(PS_DASH,1,RGB(255,128,0));
		Old = dc.SelectObject(&L);
		dc.MoveTo(0,50); dc.LineTo(100,50);
		dc.SelectObject(&N);
		dc.MoveTo(0,(int)50-(*Point * Weight));
		for(int x=1; x<100; x++)
			dc.LineTo(x,50-(int)(*(Point+x*RecordSize)* Weight));

		dc.SelectObject(Old);
		ReView = false;
	}
}

void HighView::ReDraw(float *P, int RS, float W)
{
	Point = P;
	RecordSize = RS;
	Weight = W;
	ReView = true;
	OnPaint();
	//Invalidate(false);
}
