// DefEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DefEdit.h"
#include "DefEditDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDefEdit dialog

CDefEdit::CDefEdit(CWnd* pParent /*=NULL*/)
	: CDialog(CDefEdit::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDefEdit)
	m_Const = 0.0;
	m_Max = 0.0;
	m_Min = 0.0;
	m_Nset = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	FileName.Format("###");
	DD.DC_RC = DD.DC_C =  DD.DC_TH = DD.DC_THTime = 
	DD.DC_APS = DD.DC_APM = DD.DC_APR = DD.DC_APC =
	DD.DC_SD = DD.DC_SS = DD.DC_SMax = DD.DC_SMin = DD.DC_SR = DD.DC_SF = DD.DC_L = 
	DD.Cos_RC = DD.Cos_C =  DD.Cos_TH = DD.Cos_THTime = 
	DD.Cos_APS = DD.Cos_APM = DD.Cos_APR = DD.Cos_APC =
	DD.Cos_SD = DD.Cos_SS = DD.Cos_SMax = DD.Cos_SMin = DD.Cos_SR = DD.Cos_SF = 
	DD.Cos_L = true;

	DD.Norm_RC = DD.Norm_C =  DD.Norm_TH = DD.Norm_THPTime = DD.Norm_THMTime = 
	DD.Norm_APS = DD.Norm_APM = DD.Norm_APR = DD.Norm_APC =
	DD.Norm_SD = DD.Norm_SS = DD.Norm_SMax = DD.Norm_SMin = DD.Norm_SR = 
	DD.Norm_SF = DD.Norm_LP = DD.Norm_LM = 
	DD.Min_RC = DD.Min_C =  DD.Min_TH = DD.Min_THMTime = DD.Min_THPTime = 
	DD.Min_APS = DD.Min_APM = DD.Min_APR = DD.Min_APC =
	DD.Min_SD = DD.Min_SS = DD.Min_SMax = DD.Min_SMin = DD.Min_SR = 
	DD.Min_SF = DD.Min_LP = DD.Min_LM =
	DD.Max_RC = DD.Max_C =  DD.Max_TH = DD.Max_THMTime = DD.Max_THPTime = 
	DD.Max_APS = DD.Max_APM = DD.Max_APR =DD.Max_APC =
	DD.Max_SD = DD.Max_SS = DD.Max_SMax = DD.Max_SMin = DD.Max_SR = 
	DD.Max_SF = DD.Max_LP = DD.Max_LM = 0.0;
}

void CDefEdit::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDefEdit)
	DDX_Text(pDX, IDC_CONST_L, m_Const);
	DDX_Text(pDX, IDC_MAX_L, m_Max);
	DDX_Text(pDX, IDC_MIN_L, m_Min);
	DDX_LBIndex(pDX, IDC_LIST1, m_Nset);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDefEdit, CDialog)
	//{{AFX_MSG_MAP(CDefEdit)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_LBN_SELCHANGE(IDC_LIST1, OnSelchangeList1)
	ON_BN_CLICKED(IDC_DH, OnDch)
	ON_BN_CLICKED(IDC_CONST, OnConst)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_BN_CLICKED(IDC_LOAD, OnLoad)
	ON_BN_CLICKED(IDC_CONVERT, OnConvert)
	ON_COMMAND(ID_PDOWN, OnPdown)
	ON_COMMAND(ID_PUP, OnPup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDefEdit message handlers

BOOL CDefEdit::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CListBox* pLB = (CListBox*)GetDlgItem(IDC_LIST1);
	pLB->InsertString(0,"Membrane Time RC (sec.)");
	pLB->InsertString(1,"Membrane Capacity C (F.)");
	pLB->InsertString(2,"Threshold Potential (V.)");
	pLB->InsertString(3,"Threshold Rising Time (sec.)");
	pLB->InsertString(4,"Threshold Falling Time (sec.)");
	pLB->InsertString(5,"Fire Threshold Time ()");
	pLB->InsertString(6,"After Polarization Single Amplitude (V.)");
	pLB->InsertString(7,"After Polarization Resistance (Om.)");
	pLB->InsertString(8,"After Polarization Capacitance (F.)");
	pLB->InsertString(9,"Synapse Delay Time (sec.)");
	pLB->InsertString(10,"Synapse Initial Injection (A.)");
	pLB->InsertString(11,"Synapse Minimal Injection (A.)");
	pLB->InsertString(12,"Synapse Maximal Injection (A.)");
	pLB->InsertString(13,"Synapse Injection Rising Time (sec.)");
	pLB->InsertString(14,"Synapse Injection Falling Time (sec.)");
	pLB->InsertString(15,"Synapse Learing Parameter(Plas Branch)");
	pLB->InsertString(16,"Synapse Learing Parameter(Minus Branch)");
	pDC = (CButton*)GetDlgItem(IDC_DH);
	pConst = (CButton*)GetDlgItem(IDC_CONST);
	pNorm = (CEdit*)GetDlgItem(IDC_CONST_L);
	pMin = (CEdit*)GetDlgItem(IDC_MIN_L);
	pMax = (CEdit*)GetDlgItem(IDC_MAX_L);
	pDC->SetCheck((int)DD.DC_RC);
	pConst->SetCheck((int)DD.Cos_RC);
	pConst->EnableWindow(!DD.DC_RC);
	pNorm->EnableWindow((!DD.DC_RC)&DD.Cos_RC);
	pMin->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
	pMax->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
	m_Const = DD.Norm_RC;
	m_Min = DD.Min_RC;
	m_Max = DD.Max_RC;
	UpdateData(false);	
	if(FileName != "###"){
		this->SetWindowText(FileName);
		m_Nset = 0;
		OnSelchangeList1();
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDefEdit::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDefEdit::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDefEdit::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDefEdit::OnOK() 
{
	OnSelchangeList1();	
}

void CDefEdit::OnSelchangeList1() 
{
	int Pointer = m_Nset;
	UpdateData(true);

	switch(Pointer){
	case 0:
		DD.Norm_RC = m_Const;	DD.Max_RC = m_Max;	DD.Min_RC = m_Min;	break;
	case 1:
		DD.Norm_C = m_Const;		DD.Max_C = m_Max;	DD.Min_C = m_Min;	break;
	case 2:
		DD.Norm_TH = m_Const;	DD.Max_TH = m_Max; DD.Min_TH = m_Min;	break;
	case 3:
		DD.Norm_THPTime = m_Const;
		DD.Max_THPTime = m_Max; DD.Min_THPTime = m_Min;	break;
	case 4:
		DD.Norm_THMTime = m_Const;
		DD.Max_THMTime = m_Max; DD.Min_THMTime = m_Min;	break;
	case 6:
		DD.Norm_APS = m_Const;	DD.Max_APS = m_Max;	DD.Min_APS = m_Min;	break;
	case 5:
		DD.Norm_APM = m_Const;	DD.Max_APM = m_Max;	DD.Min_APM = m_Min;	break;
	case 7:
		DD.Norm_APR = m_Const;	DD.Max_APR = m_Max;	DD.Min_APR = m_Min;	break;
	case 8:
		DD.Norm_APC = m_Const;	DD.Max_APC = m_Max;	DD.Min_APC = m_Min;	break;
	case 9:
		DD.Norm_SD = m_Const;	DD.Max_SD = m_Max;		DD.Min_SD = m_Min;		break;
	case 10:
		DD.Norm_SS = m_Const;	DD.Max_SS = m_Max;		DD.Min_SS = m_Min;		break;
	case 11:
		DD.Norm_SMin = m_Const;	DD.Max_SMin = m_Max;	DD.Min_SMin = m_Min;	break;
	case 12:
		DD.Norm_SMax = m_Const;	DD.Max_SMax = m_Max;	DD.Min_SMax = m_Min;	break;
	case 13:
		DD.Norm_SR = m_Const;	DD.Max_SR = m_Max;		DD.Min_SR = m_Min;		break;
	case 14:
		DD.Norm_SF = m_Const;	DD.Max_SF = m_Max;		DD.Min_SF = m_Min;		break;
	case 15:
		DD.Norm_LP = m_Const;		DD.Max_LP = m_Max;		DD.Min_LP = m_Min;		break;
	case 16:
		DD.Norm_LM = m_Const;		DD.Max_LM = m_Max;		DD.Min_LM = m_Min;		break;
	}

	switch(m_Nset){
	case 0:
		m_Const = DD.Norm_RC;	m_Max = DD.Max_RC;	m_Min = DD.Min_RC;
		pDC->SetCheck((int)DD.DC_RC);
		pConst->SetCheck((int)DD.Cos_RC);	pConst->EnableWindow(!DD.DC_RC);
		pNorm->EnableWindow((!DD.DC_RC)&DD.Cos_RC);
		pMin->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
		pMax->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
		break;
	case 1:
		m_Const = DD.Norm_C;		m_Max = DD.Max_C;	m_Min = DD.Min_C;
		pDC->SetCheck((int)DD.DC_C);
		pConst->SetCheck((int)DD.Cos_C);	pConst->EnableWindow(!DD.DC_C);
		pNorm->EnableWindow((!DD.DC_C)&DD.Cos_C);
		pMin->EnableWindow((!DD.DC_C)&(!DD.Cos_C));
		pMax->EnableWindow((!DD.DC_C)&(!DD.Cos_C));
		break;
	case 2:
		m_Const = DD.Norm_TH;	m_Max = DD.Max_TH; m_Min = DD.Min_TH;
		pDC->SetCheck((int)DD.DC_TH);
		pConst->SetCheck((int)DD.Cos_TH);	pConst->EnableWindow(!DD.DC_TH);
		pNorm->EnableWindow((!DD.DC_TH)&DD.Cos_TH);
		pMin->EnableWindow((!DD.DC_TH)&(!DD.Cos_TH));
		pMax->EnableWindow((!DD.DC_TH)&(!DD.Cos_TH));
		break;
	case 3:
		m_Const = DD.Norm_THPTime;m_Max = DD.Max_THPTime; m_Min = DD.Min_THPTime;
		pDC->SetCheck((int)DD.DC_THTime);
		pConst->SetCheck((int)DD.Cos_THTime);	pConst->EnableWindow(!DD.DC_THTime);
		pNorm->EnableWindow((!DD.DC_THTime)&DD.Cos_THTime);
		pMin->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		pMax->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		break;
	case 4:
		m_Const = DD.Norm_THMTime;m_Max = DD.Max_THMTime; m_Min = DD.Min_THMTime;
		pDC->SetCheck((int)DD.DC_THTime);
		pConst->SetCheck((int)DD.Cos_THTime);	pConst->EnableWindow(!DD.DC_THTime);
		pNorm->EnableWindow((!DD.DC_THTime)&DD.Cos_THTime);
		pMin->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		pMax->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		break;
	case 6:
		m_Const = DD.Norm_APS;	m_Max = DD.Max_APS;	m_Min = DD.Min_APS;
		pDC->SetCheck((int)DD.DC_APS);
		pConst->SetCheck((int)DD.Cos_APS);	pConst->EnableWindow(!DD.DC_APS);
		pNorm->EnableWindow((!DD.DC_APS)&DD.Cos_APS);
		pMin->EnableWindow((!DD.DC_APS)&(!DD.Cos_APS));
		pMax->EnableWindow((!DD.DC_APS)&(!DD.Cos_APS));
		break;
	case 5:
		m_Const = DD.Norm_APM;	m_Max = DD.Max_APM;	m_Min = DD.Min_APM;
		pDC->SetCheck((int)DD.DC_APM);
		pConst->SetCheck((int)DD.Cos_APM);	pConst->EnableWindow(!DD.DC_APM);
		pNorm->EnableWindow((!DD.DC_APM)&DD.Cos_APM);
		pMin->EnableWindow((!DD.DC_APM)&(!DD.Cos_APM));
		pMax->EnableWindow((!DD.DC_APM)&(!DD.Cos_APM));
		break;
	case 7:
		m_Const = DD.Norm_APR;	m_Max = DD.Max_APR;	m_Min = DD.Min_APR;
		pDC->SetCheck((int)DD.DC_APR);
		pConst->SetCheck((int)DD.Cos_APR);	pConst->EnableWindow(!DD.DC_APR);
		pNorm->EnableWindow((!DD.DC_APR)&DD.Cos_APR);
		pMin->EnableWindow((!DD.DC_APR)&(!DD.Cos_APR));
		pMax->EnableWindow((!DD.DC_APR)&(!DD.Cos_APR));
		break;
	case 8:
		m_Const = DD.Norm_APC;	m_Max = DD.Max_APC;	m_Min = DD.Min_APC;
		pDC->SetCheck((int)DD.DC_APC);
		pConst->SetCheck((int)DD.Cos_APC);	pConst->EnableWindow(!DD.DC_APC);
		pNorm->EnableWindow((!DD.DC_APC)&DD.Cos_APC);
		pMin->EnableWindow((!DD.DC_APC)&(!DD.Cos_APC));
		pMax->EnableWindow((!DD.DC_APC)&(!DD.Cos_APC));
		break;
	case 9:
		m_Const = DD.Norm_SD;	m_Max = DD.Max_SD;		m_Min = DD.Min_SD;
		pDC->SetCheck((int)DD.DC_SD);
		pConst->SetCheck((int)DD.Cos_SD);	pConst->EnableWindow(!DD.DC_SD);
		pNorm->EnableWindow((!DD.DC_SD)&DD.Cos_SD);
		pMin->EnableWindow((!DD.DC_SD)&(!DD.Cos_SD));
		pMax->EnableWindow((!DD.DC_SD)&(!DD.Cos_SD));
		break;
	case 10:
		m_Const = DD.Norm_SS;	m_Max = DD.Max_SS;		m_Min = DD.Min_SS;
		pDC->SetCheck((int)DD.DC_SS);
		pConst->SetCheck((int)DD.Cos_SS);	pConst->EnableWindow(!DD.DC_SS);
		pNorm->EnableWindow((!DD.DC_SS)&DD.Cos_SS);
		pMin->EnableWindow((!DD.DC_SS)&(!DD.Cos_SS));
		pMax->EnableWindow((!DD.DC_SS)&(!DD.Cos_SS));
		break;
	case 11:
		m_Const = DD.Norm_SMin;	m_Max = DD.Max_SMin;	m_Min = DD.Min_SMin;
		pDC->SetCheck((int)DD.DC_SMin);
		pConst->SetCheck((int)DD.Cos_SMin);	pConst->EnableWindow(!DD.DC_SMin);
		pNorm->EnableWindow((!DD.DC_SMin)&DD.Cos_SMin);
		pMin->EnableWindow((!DD.DC_SMin)&(!DD.Cos_SMin));
		pMax->EnableWindow((!DD.DC_SMin)&(!DD.Cos_SMin));
		break;
	case 12:
		m_Const = DD.Norm_SMax;	m_Max = DD.Max_SMax;	m_Min = DD.Min_SMax;
		pDC->SetCheck((int)DD.DC_SMax);
		pConst->SetCheck((int)DD.Cos_SMax);	pConst->EnableWindow(!DD.DC_SMax);
		pNorm->EnableWindow((!DD.DC_SMax)&DD.Cos_SMax);
		pMin->EnableWindow((!DD.DC_SMax)&(!DD.Cos_SMax));
		pMax->EnableWindow((!DD.DC_SMax)&(!DD.Cos_SMax));
		break;
	case 13:
		m_Const = DD.Norm_SR;	m_Max = DD.Max_SR;		m_Min = DD.Min_SR;
		pDC->SetCheck((int)DD.DC_SR);
		pConst->SetCheck((int)DD.Cos_SR);	pConst->EnableWindow(!DD.DC_SR);
		pNorm->EnableWindow((!DD.DC_SR)&DD.Cos_SR);
		pMin->EnableWindow((!DD.DC_SR)&(!DD.Cos_SR));
		pMax->EnableWindow((!DD.DC_SR)&(!DD.Cos_SR));
		break;
	case 14:
		m_Const = DD.Norm_SF;	m_Max = DD.Max_SF;		m_Min = DD.Min_SF;
		pDC->SetCheck((int)DD.DC_SF);
		pConst->SetCheck((int)DD.Cos_SF);	pConst->EnableWindow(!DD.DC_SF);
		pNorm->EnableWindow((!DD.DC_SF)&DD.Cos_SF);
		pMin->EnableWindow((!DD.DC_SF)&(!DD.Cos_SF));
		pMax->EnableWindow((!DD.DC_SF)&(!DD.Cos_SF));
		break;
	case 15:
		m_Const = DD.Norm_LP;		m_Max = DD.Max_LP;		m_Min = DD.Min_LP;
		pDC->SetCheck((int)DD.DC_L);
		pConst->SetCheck((int)DD.Cos_L);	pConst->EnableWindow(!DD.DC_L);
		pNorm->EnableWindow((!DD.DC_L)&DD.Cos_L);
		pMin->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		pMax->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		break;
	case 16:
		m_Const = DD.Norm_LM;		m_Max = DD.Max_LM;		m_Min = DD.Min_LM;
		pDC->SetCheck((int)DD.DC_L);
		pConst->SetCheck((int)DD.Cos_L);	pConst->EnableWindow(!DD.DC_L);
		pNorm->EnableWindow((!DD.DC_L)&DD.Cos_L);
		pMin->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		pMax->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		break;
	}
	UpdateData(false);	
}

void CDefEdit::OnDch() 
{
	switch(m_Nset){
	case 0:
		DD.DC_RC = !DD.DC_RC;
		pDC->SetCheck((int)DD.DC_RC);
		pConst->SetCheck((int)DD.Cos_RC);	pConst->EnableWindow(!DD.DC_RC);
		pNorm->EnableWindow((!DD.DC_RC)&DD.Cos_RC);
		pMin->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
		pMax->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
		break;
	case 1:
		DD.DC_C = !DD.DC_C;
		pDC->SetCheck((int)DD.DC_C);
		pConst->SetCheck((int)DD.Cos_C);	pConst->EnableWindow(!DD.DC_C);
		pNorm->EnableWindow((!DD.DC_C)&DD.Cos_C);
		pMin->EnableWindow((!DD.DC_C)&(!DD.Cos_C));
		pMax->EnableWindow((!DD.DC_C)&(!DD.Cos_C));
		break;
	case 2:
		DD.DC_TH = !DD.DC_TH;
		pDC->SetCheck((int)DD.DC_TH);
		pConst->SetCheck((int)DD.Cos_TH);	pConst->EnableWindow(!DD.DC_TH);
		pNorm->EnableWindow((!DD.DC_TH)&DD.Cos_TH);
		pMin->EnableWindow((!DD.DC_TH)&(!DD.Cos_TH));
		pMax->EnableWindow((!DD.DC_TH)&(!DD.Cos_TH));
		break;
	case 3:
		DD.DC_THTime = !DD.DC_THTime;
		pDC->SetCheck((int)DD.DC_THTime);
		pConst->SetCheck((int)DD.Cos_THTime);	pConst->EnableWindow(!DD.DC_THTime);
		pNorm->EnableWindow((!DD.DC_THTime)&DD.Cos_THTime);
		pMin->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		pMax->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		break;
	case 4:
		DD.DC_THTime = !DD.DC_THTime;
		pDC->SetCheck((int)DD.DC_THTime);
		pConst->SetCheck((int)DD.Cos_THTime);	pConst->EnableWindow(!DD.DC_THTime);
		pNorm->EnableWindow((!DD.DC_THTime)&DD.Cos_THTime);
		pMin->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		pMax->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		break;
	case 6:
		DD.DC_APS = !DD.DC_APS;
		pDC->SetCheck((int)DD.DC_APS);
		pConst->SetCheck((int)DD.Cos_APS);	pConst->EnableWindow(!DD.DC_APS);
		pNorm->EnableWindow((!DD.DC_APS)&DD.Cos_APS);
		pMin->EnableWindow((!DD.DC_APS)&(!DD.Cos_APS));
		pMax->EnableWindow((!DD.DC_APS)&(!DD.Cos_APS));
		break;
	case 5:
		DD.DC_APM = !DD.DC_APM;
		pDC->SetCheck((int)DD.DC_APM);
		pConst->SetCheck((int)DD.Cos_APM);	pConst->EnableWindow(!DD.DC_APM);
		pNorm->EnableWindow((!DD.DC_APM)&DD.Cos_APM);
		pMin->EnableWindow((!DD.DC_APM)&(!DD.Cos_APM));
		pMax->EnableWindow((!DD.DC_APM)&(!DD.Cos_APM));
		break;
	case 7:
		DD.DC_APR = !DD.DC_APR;
		pDC->SetCheck((int)DD.DC_APR);
		pConst->SetCheck((int)DD.Cos_APR);	pConst->EnableWindow(!DD.DC_APR);
		pNorm->EnableWindow((!DD.DC_APR)&DD.Cos_APR);
		pMin->EnableWindow((!DD.DC_APR)&(!DD.Cos_APR));
		pMax->EnableWindow((!DD.DC_APR)&(!DD.Cos_APR));
		break;
	case 8:
		DD.DC_APC = !DD.DC_APC;
		pDC->SetCheck((int)DD.DC_APC);
		pConst->SetCheck((int)DD.Cos_APC);	pConst->EnableWindow(!DD.DC_APC);
		pNorm->EnableWindow((!DD.DC_APC)&DD.Cos_APC);
		pMin->EnableWindow((!DD.DC_APC)&(!DD.Cos_APC));
		pMax->EnableWindow((!DD.DC_APC)&(!DD.Cos_APC));
		break;
	case 9:
		DD.DC_SD = !DD.DC_SD;
		pDC->SetCheck((int)DD.DC_SD);
		pConst->SetCheck((int)DD.Cos_SD);	pConst->EnableWindow(!DD.DC_SD);
		pNorm->EnableWindow((!DD.DC_SD)&DD.Cos_SD);
		pMin->EnableWindow((!DD.DC_SD)&(!DD.Cos_SD));
		pMax->EnableWindow((!DD.DC_SD)&(!DD.Cos_SD));
		break;
	case 10:
		DD.DC_SS = !DD.DC_SS;
		pDC->SetCheck((int)DD.DC_SS);
		pConst->SetCheck((int)DD.Cos_SS);	pConst->EnableWindow(!DD.DC_SS);
		pNorm->EnableWindow((!DD.DC_SS)&DD.Cos_SS);
		pMin->EnableWindow((!DD.DC_SS)&(!DD.Cos_SS));
		pMax->EnableWindow((!DD.DC_SS)&(!DD.Cos_SS));
		break;
	case 11:
		DD.DC_SMin = !DD.DC_SMin;
		pDC->SetCheck((int)DD.DC_SMin);
		pConst->SetCheck((int)DD.Cos_SMin);	pConst->EnableWindow(!DD.DC_SMin);
		pNorm->EnableWindow((!DD.DC_SMin)&DD.Cos_SMin);
		pMin->EnableWindow((!DD.DC_SMin)&(!DD.Cos_SMin));
		pMax->EnableWindow((!DD.DC_SMin)&(!DD.Cos_SMin));
		break;
	case 12:
		DD.DC_SMax = !DD.DC_SMax;
		pDC->SetCheck((int)DD.DC_SMax);
		pConst->SetCheck((int)DD.Cos_SMax);	pConst->EnableWindow(!DD.DC_SMax);
		pNorm->EnableWindow((!DD.DC_SMax)&DD.Cos_SMax);
		pMin->EnableWindow((!DD.DC_SMax)&(!DD.Cos_SMax));
		pMax->EnableWindow((!DD.DC_SMax)&(!DD.Cos_SMax));
		break;
	case 13:
		DD.DC_SR = !DD.DC_SR;
		pDC->SetCheck((int)DD.DC_SR);
		pConst->SetCheck((int)DD.Cos_SR);	pConst->EnableWindow(!DD.DC_SR);
		pNorm->EnableWindow((!DD.DC_SR)&DD.Cos_SR);
		pMin->EnableWindow((!DD.DC_SR)&(!DD.Cos_SR));
		pMax->EnableWindow((!DD.DC_SR)&(!DD.Cos_SR));
		break;
	case 14:
		DD.DC_SF = !DD.DC_SF;
		pDC->SetCheck((int)DD.DC_SF);
		pConst->SetCheck((int)DD.Cos_SF);	pConst->EnableWindow(!DD.DC_SF);
		pNorm->EnableWindow((!DD.DC_SF)&DD.Cos_SF);
		pMin->EnableWindow((!DD.DC_SF)&(!DD.Cos_SF));
		pMax->EnableWindow((!DD.DC_SF)&(!DD.Cos_SF));
		break;
	case 15:
		DD.DC_L = !DD.DC_L;
		pDC->SetCheck((int)DD.DC_L);
		pConst->SetCheck((int)DD.Cos_L);	pConst->EnableWindow(!DD.DC_L);
		pNorm->EnableWindow((!DD.DC_L)&DD.Cos_L);
		pMin->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		pMax->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		break;
	case 16:
		DD.DC_L = !DD.DC_L;
		pDC->SetCheck((int)DD.DC_L);
		pConst->SetCheck((int)DD.Cos_L);	pConst->EnableWindow(!DD.DC_L);
		pNorm->EnableWindow((!DD.DC_L)&DD.Cos_L);
		pMin->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		pMax->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		break;
	}	
}

void CDefEdit::OnConst() 
{
	switch(m_Nset){
	case 0:
		DD.Cos_RC = !DD.Cos_RC;
		pDC->SetCheck((int)DD.DC_RC);
		pConst->SetCheck((int)DD.Cos_RC);	pConst->EnableWindow(!DD.DC_RC);
		pNorm->EnableWindow((!DD.DC_RC)&DD.Cos_RC);
		pMin->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
		pMax->EnableWindow((!DD.DC_RC)&(!DD.Cos_RC));
		break;
	case 1:
		DD.Cos_C = !DD.Cos_C;
		pDC->SetCheck((int)DD.DC_C);
		pConst->SetCheck((int)DD.Cos_C);	pConst->EnableWindow(!DD.DC_C);
		pNorm->EnableWindow((!DD.DC_C)&DD.Cos_C);
		pMin->EnableWindow((!DD.DC_C)&(!DD.Cos_C));
		pMax->EnableWindow((!DD.DC_C)&(!DD.Cos_C));
		break;
	case 2:
		DD.Cos_TH = !DD.Cos_TH;
		pDC->SetCheck((int)DD.DC_TH);
		pConst->SetCheck((int)DD.Cos_TH);	pConst->EnableWindow(!DD.DC_TH);
		pNorm->EnableWindow((!DD.DC_TH)&DD.Cos_TH);
		pMin->EnableWindow((!DD.DC_TH)&(!DD.Cos_TH));
		pMax->EnableWindow((!DD.DC_TH)&(!DD.Cos_TH));
		break;
	case 3:
		DD.Cos_THTime = !DD.Cos_THTime;
		pDC->SetCheck((int)DD.DC_THTime);
		pConst->SetCheck((int)DD.Cos_THTime);	pConst->EnableWindow(!DD.DC_THTime);
		pNorm->EnableWindow((!DD.DC_THTime)&DD.Cos_THTime);
		pMin->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		pMax->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		break;
	case 4:
		DD.Cos_THTime = !DD.Cos_THTime;
		pDC->SetCheck((int)DD.DC_THTime);
		pConst->SetCheck((int)DD.Cos_THTime);	pConst->EnableWindow(!DD.DC_THTime);
		pNorm->EnableWindow((!DD.DC_THTime)&DD.Cos_THTime);
		pMin->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		pMax->EnableWindow((!DD.DC_THTime)&(!DD.Cos_THTime));
		break;
	case 6:
		DD.Cos_APS = !DD.Cos_APS;
		pDC->SetCheck((int)DD.DC_APS);
		pConst->SetCheck((int)DD.Cos_APS);	pConst->EnableWindow(!DD.DC_APS);
		pNorm->EnableWindow((!DD.DC_APS)&DD.Cos_APS);
		pMin->EnableWindow((!DD.DC_APS)&(!DD.Cos_APS));
		pMax->EnableWindow((!DD.DC_APS)&(!DD.Cos_APS));
		break;
	case 5:
		DD.Cos_APM = !DD.Cos_APM;
		pDC->SetCheck((int)DD.DC_APM);
		pConst->SetCheck((int)DD.Cos_APM);	pConst->EnableWindow(!DD.DC_APM);
		pNorm->EnableWindow((!DD.DC_APM)&DD.Cos_APM);
		pMin->EnableWindow((!DD.DC_APM)&(!DD.Cos_APM));
		pMax->EnableWindow((!DD.DC_APM)&(!DD.Cos_APM));
		break;
	case 7:
		DD.Cos_APR = !DD.Cos_APR;
		pDC->SetCheck((int)DD.DC_APR);
		pConst->SetCheck((int)DD.Cos_APR);	pConst->EnableWindow(!DD.DC_APR);
		pNorm->EnableWindow((!DD.DC_APR)&DD.Cos_APR);
		pMin->EnableWindow((!DD.DC_APR)&(!DD.Cos_APR));
		pMax->EnableWindow((!DD.DC_APR)&(!DD.Cos_APR));
		break;
	case 8:
		DD.Cos_APC = !DD.Cos_APC;
		pDC->SetCheck((int)DD.DC_APC);
		pConst->SetCheck((int)DD.Cos_APC);	pConst->EnableWindow(!DD.DC_APC);
		pNorm->EnableWindow((!DD.DC_APC)&DD.Cos_APC);
		pMin->EnableWindow((!DD.DC_APC)&(!DD.Cos_APC));
		pMax->EnableWindow((!DD.DC_APC)&(!DD.Cos_APC));
		break;
	case 9:
		DD.Cos_SD = !DD.Cos_SD;
		pDC->SetCheck((int)DD.DC_SD);
		pConst->SetCheck((int)DD.Cos_SD);	pConst->EnableWindow(!DD.DC_SD);
		pNorm->EnableWindow((!DD.DC_SD)&DD.Cos_SD);
		pMin->EnableWindow((!DD.DC_SD)&(!DD.Cos_SD));
		pMax->EnableWindow((!DD.DC_SD)&(!DD.Cos_SD));
		break;
	case 10:
		DD.Cos_SS = !DD.Cos_SS;
		pDC->SetCheck((int)DD.DC_SS);
		pConst->SetCheck((int)DD.Cos_SS);	pConst->EnableWindow(!DD.DC_SS);
		pNorm->EnableWindow((!DD.DC_SS)&DD.Cos_SS);
		pMin->EnableWindow((!DD.DC_SS)&(!DD.Cos_SS));
		pMax->EnableWindow((!DD.DC_SS)&(!DD.Cos_SS));
		break;
	case 11:
		DD.Cos_SMin = !DD.Cos_SMin;
		pDC->SetCheck((int)DD.DC_SMin);
		pConst->SetCheck((int)DD.Cos_SMin);	pConst->EnableWindow(!DD.DC_SMin);
		pNorm->EnableWindow((!DD.DC_SMin)&DD.Cos_SMin);
		pMin->EnableWindow((!DD.DC_SMin)&(!DD.Cos_SMin));
		pMax->EnableWindow((!DD.DC_SMin)&(!DD.Cos_SMin));
		break;
	case 12:
		DD.Cos_SMax = !DD.Cos_SMax;
		pDC->SetCheck((int)DD.DC_SMax);
		pConst->SetCheck((int)DD.Cos_SMax);	pConst->EnableWindow(!DD.DC_SMax);
		pNorm->EnableWindow((!DD.DC_SMax)&DD.Cos_SMax);
		pMin->EnableWindow((!DD.DC_SMax)&(!DD.Cos_SMax));
		pMax->EnableWindow((!DD.DC_SMax)&(!DD.Cos_SMax));
		break;
	case 13:
		DD.Cos_SR = !DD.Cos_SR;
		pDC->SetCheck((int)DD.DC_SR);
		pConst->SetCheck((int)DD.Cos_SR);	pConst->EnableWindow(!DD.DC_SR);
		pNorm->EnableWindow((!DD.DC_SR)&DD.Cos_SR);
		pMin->EnableWindow((!DD.DC_SR)&(!DD.Cos_SR));
		pMax->EnableWindow((!DD.DC_SR)&(!DD.Cos_SR));
		break;
	case 14:
		DD.Cos_SF = !DD.Cos_SF;
		pDC->SetCheck((int)DD.DC_SF);
		pConst->SetCheck((int)DD.Cos_SF);	pConst->EnableWindow(!DD.DC_SF);
		pNorm->EnableWindow((!DD.DC_SF)&DD.Cos_SF);
		pMin->EnableWindow((!DD.DC_SF)&(!DD.Cos_SF));
		pMax->EnableWindow((!DD.DC_SF)&(!DD.Cos_SF));
		break;
	case 15:
		DD.Cos_L = !DD.Cos_L;
		pDC->SetCheck((int)DD.DC_L);
		pConst->SetCheck((int)DD.Cos_L);	pConst->EnableWindow(!DD.DC_L);
		pNorm->EnableWindow((!DD.DC_L)&DD.Cos_L);
		pMin->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		pMax->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		break;
	case 16:
		DD.Cos_L = !DD.Cos_L;
		pDC->SetCheck((int)DD.DC_L);
		pConst->SetCheck((int)DD.Cos_L);	pConst->EnableWindow(!DD.DC_L);
		pNorm->EnableWindow((!DD.DC_L)&DD.Cos_L);
		pMin->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		pMax->EnableWindow((!DD.DC_L)&(!DD.Cos_L));
		break;
	}
}

void CDefEdit::OnSave() 
{
	OnSelchangeList1();	
	CFile File;
	CFileDialog FDlg(false,"def","*.def",OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		"Default Cell(*.def)|*.def|(*.*)|*.*||");
	if(FDlg.DoModal() == IDOK){
		FileName = FDlg.GetPathName();
		File.Open(FileName ,CFile::modeCreate | CFile::modeWrite,NULL);
		this->SetWindowText(FileName);
		File.Write(&DD, sizeof(DD));
		File.Close();
	}
}

void CDefEdit::OnLoad() 
{
	CFile File;
	CFileDialog FDlg(true,"def","*.def",OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		"Default Cell(*.def)|*.def|(*.*)|*.*||");
	if(FDlg.DoModal() == IDOK){
		FileName = FDlg.GetPathName();
		File.Open((LPCTSTR) FileName,CFile::modeRead,NULL);
		this->SetWindowText(FileName);
		File.Read(&DD, sizeof(DD));
		File.Close();
		m_Nset = -1;
		OnSelchangeList1();	
	}
}

void CDefEdit::OnConvert() 
{
	char str[10000]; int p=0;
	OnSelchangeList1();	
	CFile OutFile;
	CFileDialog FDlg(true,"xls","*.xls",OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		"Default Cell(*.xls)|*.xls|(*.*)|*.*||");
	if(FDlg.DoModal() != IDOK) return;
	if(!OutFile.Open((LPCTSTR) FDlg.GetPathName(),CFile::modeWrite,NULL))
		if(!OutFile.Open((LPCTSTR) FDlg.GetPathName(),CFile::modeWrite|CFile::modeCreate,NULL))
			return;
	OutFile.SeekToEnd();
	OutFile.Write(FileName.GetBuffer(FileName.GetLength()), FileName.GetLength());

	p = _snprintf(str,10000,"\n");
	if(!DD.DC_RC){
		if(DD.Cos_RC)p+= _snprintf(&str[p],10000-p,"\nRC:\t%E\t\t\t(sec.)\n",DD.Norm_RC);
		else p+= _snprintf(&str[p],10000-p,"\nRC:\t\t%E\t%E\t(sec.)\n",DD.Min_RC,DD.Max_RC);
	}

	if(!DD.DC_C){
		if(DD.Cos_C) p+= _snprintf(&str[p],10000-p,"C:\t%E\t\t\t(F)\n",DD.Norm_C);
		else p+= _snprintf(&str[p],10000-p,"C:\t\t%E\t%E\t(F)\n",DD.Min_C,DD.Max_C);
	}

	if(!DD.DC_TH){
		if(DD.Cos_TH) p+= _snprintf(&str[p],10000-p,"Threshold:\t%E\t\t\t(Volt)\n",DD.Norm_TH);
		else p+= _snprintf(&str[p],10000-p,"Threshold:\t\t%E\t%E\t(Volt)\n",DD.Min_TH,DD.Max_TH);
	}
	
	if(!DD.DC_THTime){
		if(DD.Cos_THTime)
			p+= _snprintf(&str[p],10000-p,"TH Rising Time:\t%E\t\t\t(sec.)\nTH Falling Time:\t%E\t\t\t(sec.)\n",
															DD.Norm_THPTime,DD.Norm_THMTime);
		else 
			p+= _snprintf(&str[p],10000-p,"TH Rising Time:\t\t%E\t%E\t(sec.)\nTH Falling Time:\t\t%E\t%E\t(sec.)\n",
								DD.Min_THPTime,DD.Max_THPTime,DD.Min_THMTime,DD.Max_THMTime);
	}
	
	if(!DD.DC_APM){
		if(DD.Cos_APM)p+= _snprintf(&str[p],10000-p,"TH Fire Time:\t%E\t\t\t(time)\n",DD.Norm_APM);
		else p+= _snprintf(&str[p],10000-p,"TH Fire Time:\t\t%E\t%E\t(time)\n",DD.Min_APM,DD.Max_APM);
	}

	if(!DD.DC_APS){
		if(DD.Cos_APS)p+= _snprintf(&str[p],10000-p,"SingleAP:\t%E\t\t\t(Volt)\n",DD.Norm_APS);
		else p+= _snprintf(&str[p],10000-p,"SingleAP:\t\t%E\t%E\t(Volt)\n",DD.Min_APS,DD.Max_APS);
	}

	if(!DD.DC_APR){
		if(DD.Cos_APR)p+= _snprintf(&str[p],10000-p,"AP R:\t%E\t\t\t(Om.)\n",DD.Norm_APR);
		else p+= _snprintf(&str[p],10000-p,"AP R:\t\t%E\t%E\t(Om.)\n",DD.Min_APR,DD.Max_APR);
	}

	if(!DD.DC_APC){
		if(DD.Cos_APC)p+= _snprintf(&str[p],10000-p,"AP C:\t%E\t\t\t(F.)\n",DD.Norm_APC);
		else p+= _snprintf(&str[p],10000-p,"AP C:\t\t%E\t%E\t(F.)\n",DD.Min_APC,DD.Max_APC);
	}

	if(!DD.DC_SD){
		if(DD.Cos_SD)p+= _snprintf(&str[p],10000-p,"Synapse Delay:\t%E\t\t\t(sec.)\n",DD.Norm_SD);
		else p+= _snprintf(&str[p],10000-p,"Synapse Delay:\t\t%E\t%E\t(sec.)\n",DD.Min_SD,DD.Max_SD);
	}

	if(!DD.DC_SS){
		if (DD.Cos_SS) p+= _snprintf(&str[p],10000-p,"Synapse Single Weight:\t%E\t\t\t(Amper)\n",DD.Norm_SS);
		else p+= _snprintf(&str[p],10000-p,"Synapse Single Weight:\t\t%E\t%E\t(Amper)\n",DD.Min_SS,DD.Max_SS);
	}

	if(!DD.DC_SMin){
		if(DD.Cos_SMin)p+= _snprintf(&str[p],10000-p,"Synapse Min Weight:\t%E\t\t\t(Amper)\n",DD.Norm_SMin);
		else p+= _snprintf(&str[p],10000-p,"Synapse Min Weight:\t\t%E\t%E\t(Amper)\n",DD.Min_SMin,DD.Max_SMin);
	}

	if(!DD.DC_SMax){
		if(DD.Cos_SMax)p+= _snprintf(&str[p],10000-p,"Synapse Max Weight:\t%E\t\t\t(Amper)\n",DD.Norm_SMax);
		else p+= _snprintf(&str[p],10000-p,"Synapse Max Weight:\t\t%E\t%E\t(Amper)\n",DD.Min_SMax,DD.Max_SMax);
	}

	if(!DD.DC_SR){
		if(DD.Cos_SR)p+= _snprintf(&str[p],10000-p,"Synapse Rising Time:\t%E\t\t\t(sec.)\n",DD.Norm_SR);
		else p+= _snprintf(&str[p],10000-p,"Synapse Rising Time:\t\t%E\t%E\t(sec.)\n",DD.Min_SR,DD.Max_SR);
	}

	if(!DD.DC_SF){
		if(DD.Cos_SF)p+= _snprintf(&str[p],10000-p,"Synapse Falling Time:\t%E\t\t\t(sec.)\n",DD.Norm_SF);
		else p+= _snprintf(&str[p],10000-p,"Synapse Falling Time:\t\t%E\t%E\t(sec.)\n",DD.Min_SF,DD.Max_SF);
	}

	if(!DD.DC_L){
		if(DD.Cos_L)
			p+= _snprintf(&str[p],10000-p,"Synapse Learn (Plus Branch):\t%E\t\t\t()\nSynapse Learn(Minus Branch):\t%E\t\t\t()\n",
					DD.Norm_LP,DD.Norm_LM);
		else
			p+= _snprintf(&str[p],10000-p,"Synapse Learn (Plus Branch):\t\t%E\t%E\t()\nSynapse Learn(Minus Branch):\t\t%E\t%E\t()\n",
					DD.Min_LP,DD.Max_LP,DD.Min_LM,DD.Max_LM);
	}
	p+= _snprintf(&str[p],10000-p,"\n");
	OutFile.Write(&str,p);
	OutFile.Close();
}

void CDefEdit::OnPdown() 
{
	m_Nset++;
	if(m_Nset >= 16) m_Nset =16;
	OnSelchangeList1();
}

void CDefEdit::OnPup() 
{
	m_Nset--;
	if(m_Nset <= 0) m_Nset =0;
	OnSelchangeList1();
}


