#if !defined(AFX_MODELVIEW_H__4919E91D_ED06_4463_9952_7738D0D394B3__INCLUDED_)
#define AFX_MODELVIEW_H__4919E91D_ED06_4463_9952_7738D0D394B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
struct ObjectView{
	unsigned int x,y;
	unsigned short Selected;
};

/////////////////////////////////////////////////////////////////////////////
// ModelView window

class ModelView : public CWnd
{
// Construction
public:
	ModelView();

// Attributes
public:
	CPoint CursorPoint;
	CStatusBar  *m_wndStatusBar;

	ObjectView *ObjectList;
	unsigned int NObjects;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ModelView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~ModelView();

	// Generated message map functions
protected:
	//{{AFX_MSG(ModelView)
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// ModelFrm frame

class ModelFrm : public CFrameWnd
{
	DECLARE_DYNCREATE(ModelFrm)
	ModelFrm();           // protected constructor used by dynamic creation

// Attributes
public:
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	ModelView	m_wndView;
	void		*Frame;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ModelFrm)
	public:
	virtual BOOL DestroyWindow();
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~ModelFrm();

	// Generated message map functions
	//{{AFX_MSG(ModelFrm)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODELVIEW_H__4919E91D_ED06_4463_9952_7738D0D394B3__INCLUDED_)
