#if !defined(AFX_CPS_H__B428C497_4635_4631_BD7B_612A69A17F5A__INCLUDED_)
#define AFX_CPS_H__B428C497_4635_4631_BD7B_612A69A17F5A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CPS.h : header file
//
#include "Model.h"
/////////////////////////////////////////////////////////////////////////////
// CPS dialog

class CPS : public CDialog
{
// Construction
public:
	CPS(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPS)
	enum { IDD = IDD_CREATOR_PROJECT_LIKS };
	double	m_DirectConst;
	double	m_DirectMax;
	double	m_DirectMin;
	double	m_ReciprocConst;
	int		m_ReciprocList;
	int		m_DirectList;
	double	m_ReciprocMax;
	double	m_ReciprocMin;
	//}}AFX_DATA
	bool Reciprocally;

	CButton *DirectChoose, *ReciprocChoose;
	CEdit *DirectConst, *DirectMin, *DirectMax;
	CEdit *ReciprocConst, *ReciprocMin, *ReciprocMax;
	DefaultData DirectData, ReciprocData;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPS)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPS)
	afx_msg void OnCpsReciprocChoos();
	afx_msg void OnCpsDirectChoos();
	afx_msg void OnSelchangeCpsDirectList();
	afx_msg void OnSelchangeCpsReciprocList();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnCpsDirectSave();
	afx_msg void OnCpsDirectLoad();
	afx_msg void OnCpsReciprocLoad();
	afx_msg void OnCpsReciprocSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CPS_H__B428C497_4635_4631_BD7B_612A69A17F5A__INCLUDED_)
