// ConvergentAgent.cpp: implementation of the ConvergentAgent class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "NeuroCAD.h"
#include "ConvergentAgent.h"
#include "Model.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

ConvergentAgent::ConvergentAgent()
{

}

ConvergentAgent::~ConvergentAgent()
{

}

void ConvergentAgent::Calculate(void *M)
{
	Model *Mod = (Model*)M;
	for(int c=0; c<Mod->CurrentCell; c++){
		if(Mod->CellList[c].Fine)
			DelLinker(M,c);
	}
}

void ConvergentAgent::DelLinker(void *M, int c)
{
	Model *Mod = (Model*)M;
	for(int s=0; s<Mod->CellList[c].CountSyn; s++)
		if(((Mod->CellList[c].Syn[s].LearnP < -1e-15)|(Mod->CellList[c].Syn[s].LearnP >1e-15))&
		   ((Mod->CellList[c].Syn[s].LearnM < -1e-15)|(Mod->CellList[c].Syn[s].LearnM >1e-15))){
			Mod->DeleteLink(c,s);
			return;
		}
}