#if !defined(AFX_INPUTMACHIN_H__791EFD06_5B16_11D5_8602_5254AB1ABD30__INCLUDED_)
#define AFX_INPUTMACHIN_H__791EFD06_5B16_11D5_8602_5254AB1ABD30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InputMachin.h : header file
//
#include "InputM.h"
/////////////////////////////////////////////////////////////////////////////
// InputMachin dialog

class InputMachin : public CDialog
{
// Construction
public:
	InputMachin(CWnd* pParent = NULL);   // standard constructor
	CImageList ILst;

// Dialog Data
	//{{AFX_DATA(InputMachin)
	enum { IDD = IDD_INPUT_MACHINE };
	int		m_EIn;
	double	m_ET;
	double	m_PP;
	//}}AFX_DATA
	InputM* IM;
	CTreeCtrl* pTree;
	int m_Lev,m_Pat, m_Eve;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(InputMachin)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	bool UpD();

	// Generated message map functions
	//{{AFX_MSG(InputMachin)
	virtual BOOL OnInitDialog();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnAddPatern();
	afx_msg void OnAddLevel();
	afx_msg void OnAddEvent();
	afx_msg void OnSelchangedLevel(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSave();
	afx_msg void OnLoad();
	afx_msg void OnDeleteEvent();
	afx_msg void OnDeleteLevel();
	afx_msg void OnDeletePatern();
	virtual void OnOK();
	afx_msg void OnImport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INPUTMACHIN_H__791EFD06_5B16_11D5_8602_5254AB1ABD30__INCLUDED_)
