#if !defined(AFX_NORMSETTER_H__6F645F04_F997_41CF_B17C_B4802263D4DE__INCLUDED_)
#define AFX_NORMSETTER_H__6F645F04_F997_41CF_B17C_B4802263D4DE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NormSetter.h : header file
//
#include "Cell.h"
/////////////////////////////////////////////////////////////////////////////
// NormSetter dialog

class NormSetter : public CDialog
{
// Construction
public:
	NormSetter(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(NormSetter)
	enum { IDD = IDD_NORM_SET };
	CProgressCtrl	m_Work;
	CSpinButtonCtrl	m_ToSpin;
	CSpinButtonCtrl	m_FromSpin;
	int NCell;
	int		m_From;
	int		m_To;
	double	m_Delay_Cur;
	BOOL	m_Delay_Flg;
	double	m_Delay_Set;
	double	m_InW_Cur;
	BOOL	m_InW_Flg;
	double	m_InW_Set;
	double	m_LM_Cur;
	BOOL	m_LM_Flg;
	double	m_LM_Set;
	double	m_LP_Cur;
	BOOL	m_LP_Flg;
	double	m_LP_Set;
	double	m_MaxW_Cur;
	BOOL	m_MaxW_Flg;
	double	m_MaxW_Set;
	double	m_MinW_Cur;
	BOOL	m_MinW_Flg;
	double	m_MinW_Set;
	int		m_TypeSyn;
	BOOL	m_Scaling;
	BOOL	m_Falling_Flg;
	double	m_Falling_Set;
	double	m_Falling_Cur;
	double	m_Rising_Cur;
	BOOL	m_Rising_Flg;
	double	m_Rising_Set;
	//}}AFX_DATA
	Cell *C;
	bool Auto,AutoStart;

	void operator = (NormSetter &NS) {
		m_From = NS.m_From;
		m_To = NS.m_To;
		m_Delay_Set = NS.m_Delay_Set;		m_Delay_Flg = NS.m_Delay_Flg;
		m_InW_Set = NS.m_InW_Set;			m_InW_Flg = NS.m_InW_Flg;
		m_MinW_Set = NS.m_MinW_Set;			m_MinW_Flg = NS.m_MinW_Flg;
		m_MaxW_Set = NS.m_MaxW_Set;			m_MaxW_Flg = NS.m_MaxW_Flg;
		m_Falling_Set = NS.m_Falling_Set;	m_Falling_Flg = NS.m_Falling_Flg;
		m_Rising_Set = NS.m_Rising_Set;		m_Rising_Flg = NS.m_Rising_Flg;
		m_LP_Set = NS.m_LP_Set;				m_LP_Flg = NS.m_LP_Flg;
		m_LM_Set = NS.m_LM_Set;				m_LM_Flg = NS.m_LM_Flg;
		m_Scaling = NS.m_Scaling;
		m_TypeSyn = NS.m_TypeSyn;
	};


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(NormSetter)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(NormSetter)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnReCalculate();
	afx_msg void OnScaling();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NORMSETTER_H__6F645F04_F997_41CF_B17C_B4802263D4DE__INCLUDED_)
