#if !defined(AFX_POLYCHANNELSMONITOR_H__483B0F6F_34DE_4FEF_9C1A_EACF942489E2__INCLUDED_)
#define AFX_POLYCHANNELSMONITOR_H__483B0F6F_34DE_4FEF_9C1A_EACF942489E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "PolyChannelView.h"

class PolyChannelsMonitor : public CFrameWnd
{
	DECLARE_DYNCREATE(PolyChannelsMonitor)
public:
	PolyChannelsMonitor();           // protected constructor used by dynamic creation
	virtual ~PolyChannelsMonitor();

// Attributes
public:
	CToolBar m_wndToolBar;
	CStatusBar  m_wndStatusBar;
	PolyChannelView	m_wndView;
	void *pSim;

// Operations
public:
	void AddCellRecord(int NCell);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(PolyChannelsMonitor)
	//}}AFX_VIRTUAL

// Implementation
protected:
	

	// Generated message map functions
	//{{AFX_MSG(PolyChannelsMonitor)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSvComutator();
	afx_msg void OnSvPopTime();
	afx_msg void OnUpdateSvPopTime(CCmdUI* pCmdUI);
	afx_msg void OnSvPushTime();
	afx_msg void OnUpdateSvPushTime(CCmdUI* pCmdUI);
	afx_msg void OnSvRecord();
	afx_msg void OnUpdateSvRecord(CCmdUI* pCmdUI);
	afx_msg void OnSvStop();
	afx_msg void OnUpdateSvStop(CCmdUI* pCmdUI);
	afx_msg void OnSvPause();
	afx_msg void OnUpdateSvPause(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POLYCHANNELSMONITOR_H__483B0F6F_34DE_4FEF_9C1A_EACF942489E2__INCLUDED_)
