#if !defined(AFX_SVCOMMUNICATOR_H__552B5D87_A80A_47E6_B49E_BCCC76CD8505__INCLUDED_)
#define AFX_SVCOMMUNICATOR_H__552B5D87_A80A_47E6_B49E_BCCC76CD8505__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SVCommunicator.h : header file
//
struct SynpRecordView{
	bool VIn, VSIn;
	double KIn, KSIn;
};
struct CellRecordView{ 
	bool VP, VAP, VTH, AttAP, AttTH;
	double KP, KAP, KTH;
	SynpRecordView *SRV;
	int Count;
};
/////////////////////////////////////////////////////////////////////////////
// SVCommunicator dialog

class SVCommunicator : public CDialog
{
// Construction
public:
	SVCommunicator(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(SVCommunicator)
	enum { IDD = IDD_SV_COMMUNICATOR };
	int		m_CellPointer;
	int		m_SynPointer;
	//}}AFX_DATA

	CellRecordView *CRV;
	int MaxCell;

	CButton *bVP, *bVAp, *bApAtt, *bVTH, *bVThAtt;
	CButton *bVSi, *bVSS;
	CSpinButtonCtrl *Syn;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SVCommunicator)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SetFlg();

	// Generated message map functions
	//{{AFX_MSG(SVCommunicator)
	afx_msg void OnSvVp();
	afx_msg void OnSvVap();
	afx_msg void OnSvApAtt();
	afx_msg void OnSvVth();
	afx_msg void OnSvThAtt();
	afx_msg void OnSvSinVi();
	afx_msg void OnSvSinVsi();
	virtual BOOL OnInitDialog();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SVCOMMUNICATOR_H__552B5D87_A80A_47E6_B49E_BCCC76CD8505__INCLUDED_)
