// ModelRecoder.h: interface for the ModelRecoder class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MODELRECODER_H__33DA393E_AEF1_4472_BD8A_A8092A7AE8BE__INCLUDED_)
#define AFX_MODELRECODER_H__33DA393E_AEF1_4472_BD8A_A8092A7AE8BE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Model.h"

class ModelRecoder  
{
//Attributs
	CFile File;
	CString FileName;
	Model *Mod;
	float TimeStep;
	float RecodeTime;
	bool FileFlg;
public:
	bool PauseFlg;

public:
	ModelRecoder(LPCTSTR FName, Model *M);
	virtual ~ModelRecoder();
	void Recode();
	bool Pause();
	void RecodePro();


};

#endif // !defined(AFX_MODELRECODER_H__33DA393E_AEF1_4472_BD8A_A8092A7AE8BE__INCLUDED_)
/////////////////////////////////////////////////////////////////////////////
// ModelRecoderSet dialog

class ModelRecoderSet : public CDialog
{
// Construction
public:
	ModelRecoderSet(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(ModelRecoderSet)
	enum { IDD = IDD_MODEL_RECODE_TIME };
	float	m_Time;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(ModelRecoderSet)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(ModelRecoderSet)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
